<?php
/**
 * Index View File
 *
 * @author EasySiteNetwork <admin@easysitenetwork.com>
 * @copyright Copyright (c) 2011 EasySiteNetwork
 * @version 1.3
 * @link http://www.easysitenetwork.com
 * @package LikePoll
 */
include('./config.php');
include(MAINDIRPATH . 'dbx.php');
include(MAINDIRPATH . 'classes/objects/category.php');
include(MAINDIRPATH . 'classes/objects/categoryList.php');
include(MAINDIRPATH . 'classes/objects/poll.php');
include(MAINDIRPATH . 'classes/objects/choice.php');
include(MAINDIRPATH . 'classes/objects/pollList.php');
include(MAINDIRPATH . 'classes/objects/ad.php');

include(MAINDIRPATH . 'header.php');

$pagenum = 1;
if ($_REQUEST['pagenum']) {
    $pagenum = $_REQUEST['pagenum'];
}

$mypolls = new pollList();
$mypolls->setShowApproved(1);
$mypolls->setPageNum($pagenum);
?>
 
<div class="leftcontainer">

<?php
$catnav = "";

if ($_REQUEST['catid']) {
    $catid = $_REQUEST['catid'];
    if (is_numeric($catid)) {
        if ($catid == -1) {
            $temppollarray = $mypolls->getPollsByPopularity();
            $catnav = "&catid=0";
        } else {
            $temppollarray = $mypolls->getPollsByCategory($catid);
            $catnav = "&catid=" . $catid;
        }
    } else {
        $temppollarray = $mypolls->getPolls();
    }
} else {

    $temppollarray = $mypolls->getPolls();
}

for ($i = 0; $i < count($temppollarray); $i++) {

    $temppoll = new Poll();
    $temppoll = $temppollarray[$i];
    ?>

        <div class="frontleftcontentbox">

            <div class="frontleftimage">
                <img src="<?php echo $temppoll->getSingleChoice(0)->getChoiceThumb(); ?>">
            </div>

            <div class="frontchoicetext">
                <div class="frontchoicetitle"><?php echo $temppoll->getQuestion(); ?></div>
                <div class="frontchoicedesc"><?php echo $temppoll->getMetaDesc(); ?></div>
                <div class="frontchoicelink"><a class="ovalbutton" href="<?php echo $siteurl; ?>like/<?php echo $temppoll->getPollId(); ?>/<?php echo $temppoll->getSingleChoice(0)->getChoiceId(); ?>/<?php echo $temppoll->getUrlStub(); ?>/"><span>Click Here To Vote</span></a></div>
            </div>

            <div class="frontrightimage">
                <img src="<?php echo $temppoll->getSingleChoice(1)->getChoiceThumb(); ?>">
            </div>

        </div>

        <div style="float: clear;"></div>

    <?php
}
?>

    <div class="leftcontentbox">
        <div class="pagenav">

<?php
if ($pagenum > 1) {
    ?>

                <a href="index.php?pagenum=<?php echo $pagenum - 1 . $catnav; ?>"><-- Previous Page</a>

    <?php
}
?>

            &nbsp;&nbsp;&nbsp;

<?php
if ($mypolls->getLastPage() == 0) {
    ?>

                <a href="index.php?pagenum=<?php echo $pagenum + 1 . $catnav; ?>">Next Page --></a>

    <?php
}
?>
        </div>
    </div>

    <div class="leftcontentbox">
        <div class="footer">
            &copy; 2011 <a href="<?php echo $siteurl; ?>"><?php echo $sitename; ?></a><br/>
            <a href="http://www.easysitenetwork.com/">An EasySiteNetwork Script</a>
        </div>
    </div>

</div>

<?php
include(MAINDIRPATH . 'rightrail.php');
?>      

<?php
include(MAINDIRPATH . 'footer.php');
?>

