<?php
/**
 * Add Poll View File
 *
 * @author EasySiteNetwork <admin@easysitenetwork.com>
 * @copyright Copyright (c) 2011 EasySiteNetwork
 * @version 1.3
 * @link http://www.easysitenetwork.com
 * @package LikePoll
 */
include('../config.php');
include(MAINDIRPATH . 'dbx.php');
include(MAINDIRPATH . 'classes/objects/adminUser.php');
include(MAINDIRPATH . 'classes/objects/category.php');
include(MAINDIRPATH . 'classes/objects/categoryList.php');

include(MAINDIRPATH . 'siteadmin/adminheader.php');

include(MAINDIRPATH . 'siteadmin/logincheck.php');

$myItemList = new CategoryList();
$myItems = $myItemList->getCategories();
?>

<div class="centered">

    <div class="admintitle">
        Add a new poll
    </div>

    <br/><br/>

    <form action="savevideoitem.php" method="post" enctype="multipart/form-data" name="submitpoll">
        <input type="hidden" name="polltype" value="2">
        <div class="inputbox">
            <div class="inputtitle">Poll Title</div>
            <div class="inputform"><input type="text" name="polltitle" size="30"></input><br/>
                <span class="smallhelptext">(i.e. McDonalds vs Burger King)</span></div>
            <div style="clear: both;"></div>
        </div>

        <div class="inputbox">
            <div class="inputtitle">Poll Description</div>
            <div class="inputform"><input type="text" name="polldesc" size="50"></input><br/>
                <span class="smallhelptext">(i.e. Vote on which you like best, McDonalds or Burger King)</span></div>
            <div style="clear: both;"></div>
        </div>

        <div class="inputbox">
            <div class="inputtitle">Poll Keywords</div>
            <div class="inputform"><input type="text" name="pollkeywords" size="50"></input><br/>
                <span class="smallhelptext">(i.e. McDonalds, Burger King, Poll)</span></div>
            <div style="clear: both;"></div>
        </div>

        <div class="inputbox">
            <div class="inputtitle">Item #1 Title</div>
            <div class="inputform"><input type="text" name="item1title" size="30"></input><br/>
                <span class="smallhelptext">(i.e. McDonalds)</span></div>
            <div style="clear: both;"></div>

        </div>

        <div class="inputbox">
            <div class="inputtitle">Item #1 Youtube Share URL</div>
            <div class="inputform"><input type="text" name="item1file" size="30"></input><br/>
                <span class="smallhelptext">(i.e. http://youtu.be/VuC0i4xTyrI)</span></div>  
            <div style="clear: both;"></div>

        </div>
        <div class="inputbox">   
            <div class="inputtitle">Item #2 Title</div>
            <div class="inputform"><input type="text" name="item2title" size="30"></input><br/>
                <span class="smallhelptext">(i.e. Burger King)</span></div>
            <div style="clear: both;"></div>
        </div>
        <div class="inputbox">
            <div class="inputtitle">Item #2 Youtube Share URL</div>
            <div class="inputform"><input type="text" name="item2file" size="30"></input><br/>
                <span class="smallhelptext">(i.e. http://youtu.be/VuC0i4xTyrI)</span></div>  
            <div style="clear: both;"></div>

        </div>

        <div class="inputbox">      
            <div class="inputtitle">Category</div>
            <div class="inputform">
<?php
for ($i = 0; $i < count($myItems); $i++) {

    $tempItem = new Category();
    $tempItem = $myItems[$i];
    ?>

                    <input type="radio" name="categoryid" value="<?php echo $tempItem->getCategoryId(); ?>"> <?php echo $tempItem->getCategoryName(); ?><br/>

                    <?php
                }
                ?>   
            </div>
            <div style="clear: both;"></div>
        </div>  

        <div class="inputform">Make Live <input type="checkbox" name="makeactive" value="1" checked></input><br/></div>

        <div class="submitbutton"><input type="submit" value="Submit"></div>
    </form>

    <script language="JavaScript" type="text/javascript">
        var frmvalidator = new Validator("submitpoll");
        frmvalidator.addValidation("polltitle","req","Please enter the poll title");
        frmvalidator.addValidation("item1title","req","Please enter a title for item 1");
        frmvalidator.addValidation("item2title","req","Please enter a title for item 2");
        frmvalidator.addValidation("item1file","req","Please add a file for Item 1");  
        frmvalidator.addValidation("item2file","req","Please add a file for Item 2");   
        frmvalidator.addValidation("categoryid","req","Please select a category");  
        frmvalidator.addValidation("polltitle","maxlen=200");
        frmvalidator.addValidation("item1title","maxlen=100");
        frmvalidator.addValidation("item2title","maxlen=100");
    </script>

    <div class="smalltext"><a href="main.php">Return to admin menu</a></div>

</div>


<?php
include(MAINDIRPATH . 'siteadmin/adminfooter.php');
?>