<?php

/**
 * Categories View File
 *
 * @author EasySiteNetwork <admin@easysitenetwork.com>
 * @copyright Copyright (c) 2011 EasySiteNetwork
 * @version 1.3
 * @link http://www.easysitenetwork.com
 * @package LikePoll
 */

   include('../config.php');
   include(MAINDIRPATH . 'dbx.php');
   include(MAINDIRPATH . 'classes/objects/category.php');
   include(MAINDIRPATH . 'classes/objects/categoryList.php');


   include(MAINDIRPATH . 'siteadmin/adminheader.php');

   include(MAINDIRPATH . 'siteadmin/logincheck.php');

   $myItemList = new CategoryList();
   $myItems = $myItemList->getCategories();

?>

<div class="centered">

<div class="admintitle">Categories</div>

<br/><br/>

<form action="savecategory.php" method="post" name="addcategory">

Enter Category Name : <input type="text" name="categoryname" size="50">
<br/>
<input type="submit" value="Add Category">

</form>

<script language="JavaScript" type="text/javascript">
 var frmvalidator = new Validator("addcategory");
 frmvalidator.addValidation("categoryname","req","Please enter a category name");
 frmvalidator.addValidation("categoryname","maxlen=30");
</script>

<br/><br/>

<?php

   for ($i = 0; $i < count($myItems); $i++) {

      $tempItem = new Category();
      $tempItem = $myItems[$i];

?>

<div class="itemrow">

<div class="itemtext"><?php echo $tempItem->getCategoryName(); ?></div>
<div class="itemdelete"><a href="deletecategory.php?categoryid=<?php echo $tempItem->getCategoryId(); ?>">Delete</a></div>

</div>
<div style="clear: both;"></div>


<?php
   }
?>

<br/>
<div class="smalltext"><a href="main.php">Return to admin menu</a></div>

</div>

<?php

   include(MAINDIRPATH . 'siteadmin/adminfooter.php');

?>