<?php

/**
 * Save Poll View File
 *
 * @author EasySiteNetwork <admin@easysitenetwork.com>
 * @copyright Copyright (c) 2011 EasySiteNetwork
 * @version 1.3
 * @link http://www.easysitenetwork.com
 * @package LikePoll
 */

include('../config.php');
include(MAINDIRPATH . 'dbx.php');
include(MAINDIRPATH . 'classes/objects/adminUser.php');
include(MAINDIRPATH . 'classes/objects/choice.php');
include(MAINDIRPATH . 'classes/objects/poll.php');
include(MAINDIRPATH . 'classes/objects/image.php');

include(MAINDIRPATH . 'siteadmin/logincheck.php');

$categoryid = 0;

if ($_REQUEST['polltitle']) { $polltitle = $_REQUEST['polltitle']; }
if ($_REQUEST['item1title']) { $item1title = $_REQUEST['item1title']; }
if ($_REQUEST['item1file']) { $item1file = $_REQUEST['item1file']; }
if ($_REQUEST['item2title']) { $item2title = $_REQUEST['item2title']; }
if ($_REQUEST['item2file']) { $item2file = $_REQUEST['item2file']; }
if ($_REQUEST['makeactive']) { $makeactive = $_REQUEST['makeactive']; }
if ($_REQUEST['categoryid']) { $categoryid = $_REQUEST['categoryid']; }
if ($_REQUEST['polldesc']) { $polldesc = $_REQUEST['polldesc']; }
if ($_REQUEST['pollkeywords']) { $pollkeywords = $_REQUEST['pollkeywords']; }

$polltitle = mysql_real_escape_string($polltitle);
$item1title = mysql_real_escape_string($item1title);
$item2title = mysql_real_escape_string($item2title);
$polldesc = mysql_real_escape_string($polldesc);
$pollkeywords = mysql_real_escape_string($pollkeywords);

if ($makeactive <> 1) {
	$makeactive = 0;
}

   try {

$mypoll = new Poll();
$mypoll->setQuestion($polltitle);
$mypoll->setActive($makeactive);
$mypoll->setCategoryId($categoryid);
$mypoll->setMetaDesc($polldesc);
$mypoll->setMetaKeywords($pollkeywords);
$mypoll->createPoll();

$mychoice1 = new Choice();
$mychoice1->createChoice($mypoll->getPollId(), $item1title);

$mychoice2 = new Choice();
$mychoice2->createChoice($mypoll->getPollId(), $item2title);

$myimage1 = new Image();
$myimage1->saveImage($_FILES["item1file"]["tmp_name"], $mychoice1->getChoiceId());

$myimage2 = new Image();
$myimage2->saveImage($_FILES["item2file"]["tmp_name"], $mychoice2->getChoiceId());

   } catch (Exception $e) {
   	
   	   $isError = 1;
   	   if ($mypoll->getPollId() <> 1) {
   	   	  $mypoll->deletePoll($mypoll->getPollId());
   	   }
   	
   }  
   
include(MAINDIRPATH . 'siteadmin/adminheader.php');

?>

<div class="centered">

<div class="admintitle">

<?php 

   if ($isError == 1) {

?>

Sorry there was a problem saving your poll.  Please make sure you filled in all the boxes and selected valid pictures.

<?php 
   } else {
?>

Poll has been added
            
<?php } ?>

</div>

<div class="smalltext"><a href="main.php">Return to admin menu</a></div>

</div>


<?php

   include(MAINDIRPATH . 'siteadmin/adminfooter.php');

?>