<?php

/**
 * User Submit Poll View File
 *
 * @author EasySiteNetwork <admin@easysitenetwork.com>
 * @copyright Copyright (c) 2011 EasySiteNetwork
 * @version 1.3
 * @link http://www.easysitenetwork.com
 * @package LikePoll
 */

   include('./config.php');
   include(MAINDIRPATH . 'dbx.php');
   include(MAINDIRPATH . 'classes/objects/category.php');
   include(MAINDIRPATH . 'classes/objects/categoryList.php');
   include(MAINDIRPATH . 'classes/objects/ad.php');
  
   include(MAINDIRPATH . 'header.php');

   $myItemList = new CategoryList();
   $myItems = $myItemList->getCategories(); 
   
?>

<div class="leftcontainer">

      <div class="leftcontentbox">

<h1>Submit A Poll</h1>
<br/>
<p>Enter in your poll below and it will go into the review system for the webmaster to approve.</p>
            
<form action="savesubmission.php" method="post" enctype="multipart/form-data" name="submitpoll">
<div class="inputbox">
   <div class="inputtitle">Poll Title</div>
   <div class="inputform"><input type="text" name="polltitle" size="40"></input><br/>
   <span class="smallhelptext">(i.e. McDonalds vs Burger King)</span></div>
 </div>
    <div style="float: clear;"></div>
<div class="inputbox">
   <div class="inputtitle">Poll Description</div>
   <div class="inputform"><input type="text" name="polldesc" size="50"></input><br/>
   <span class="smallhelptext">(i.e. Vote on which you like best, McDonalds or Burger King)</span></div>
 </div>
    <div style="float: clear;"></div>  <br/> 
<div class="inputbox">
   <div class="inputtitle">Poll Keywords</div>
   <div class="inputform"><input type="text" name="pollkeywords" size="50"></input><br/>
   <span class="smallhelptext">(i.e. McDonalds, Burger King, Poll)</span></div>
 </div>
    <div style="float: clear;"></div> <br/>     
 <div class="inputbox">
   <br/><br/><br/>
   <div class="inputtitle">Item #1 Title</div>
   <div class="inputform"><input type="text" name="item1title" size="40"></input><br/>
   <span class="smallhelptext">(i.e. McDonalds)</span></div>
 
 </div>
    <div style="float: clear;"></div>
 <div class="inputbox">
   <div class="inputtitle">Item #1 Image</div>
   <div class="inputform"><input type="file" name="item1file"></input><br/>
   <span class="smallhelptext">(200px by 200px)</span></div>  
 </div>
    <div style="float: clear;"></div>  <br/><br/>
 <div class="inputbox">   
   <div class="inputtitle">Item #2 Title</div>
   <div class="inputform"><input type="text" name="item2title" size="40"></input><br/>
   <span class="smallhelptext">(i.e. Burger King)</span></div>
 </div>
    <div style="float: clear;"></div> 
 <div class="inputbox">   
   <div class="inputtitle">Item #2 Image</div>
   <div class="inputform"><input type="file" name="item2file"></input><br/>
   <span class="smallhelptext">(200px by 200px)</span></div>
</div>
   <div style="float: clear;"></div>
 <div class="inputbox">      
    <div class="inputtitle">Category</div>
    <div class="inputform">
<?php

   for ($i = 0; $i < count($myItems); $i++) {

      $tempItem = new Category();
      $tempItem = $myItems[$i];

?>

   <input type="radio" name="categoryid" value="<?php echo $tempItem->getCategoryId(); ?>"> <?php echo $tempItem->getCategoryName(); ?><br/>

<?php 

   }

?>   
 </div>
 </div>  
     <div style="float: clear;"></div> 
<br/><br/>
<div class="submitbutton"><input type="submit" value="Submit"></div>
</form>

<script language="JavaScript" type="text/javascript">
 var frmvalidator = new Validator("submitpoll");
 frmvalidator.addValidation("polltitle","req","Please enter the poll title");
 frmvalidator.addValidation("item1title","req","Please enter a title for item 1");
 frmvalidator.addValidation("item2title","req","Please enter a title for item 2");
 frmvalidator.addValidation("item1file","req","Please add a file for Item 1");  
 frmvalidator.addValidation("item2file","req","Please add a file for Item 2");   
 frmvalidator.addValidation("categoryid","req","Please select a category");  
 frmvalidator.addValidation("polltitle","maxlen=200");
 frmvalidator.addValidation("item1title","maxlen=100");
 frmvalidator.addValidation("item2title","maxlen=100");
</script>

<br/><br/>


      </div>
      
<div class="leftcontentbox">
  <div class="footer">
     &copy; 2010 <a href="<?php echo $siteurl; ?>"><?php echo $sitename; ?></a><br/>
     <a href="http://www.easysitenetwork.com/">An EasySiteNetwork Script</a>
  </div>
</div>

</div>

<?php

   include(MAINDIRPATH . 'rightrail.php');

?>      

<?php

   include(MAINDIRPATH . 'footer.php');

?>

