<?php

/**
 * Choice Class Definition File
 *
 * @author EasySiteNetwork <admin@easysitenetwork.com>
 * @copyright Copyright (c) 2011 EasySiteNetwork
 * @version 1.3
 * @link http://www.easysitenetwork.com
 * @package LikePoll
 */

/**
 * Choice Class Definition
 *
 * @package LikePoll
 * @subpackage Core
 */
class Choice {

    private $choiceId;
    private $choice;
    private $choiceDesc;
    private $choiceUrl;
    private $choiceImage;
    private $choiceThumb;
    private $youtubeurl;
    private $youtubeid;
    private $sql;

    public function getChoiceId() {
        return $this->choiceId;
    }

    public function getChoice() {
        return $this->choice;
    }

    public function getChoiceDesc() {
        return $this->choiceDesc;
    }

    public function getChoiceUrl() {
        return $this->choiceUrl;
    }

    public function setChoiceUrl($choiceurl) {
        $this->choiceUrl = $choiceurl;
    }

    public function getChoiceImage() {
        return $this->choiceImage;
    }

    public function getChoiceThumb() {
        return $this->choiceThumb;
    }

    public function setChoiceDesc($choicedesc) {
        $this->choiceDesc = $choicedesc;
    }

    public function getYoutubeurl() {
        return $this->youtubeurl;
    }

    public function setYoutubeurl($youtubeurl) {
        $this->youtubeurl = $youtubeurl;
        $this->parseYoutubeId();
    }

    public function getYoutubeid() {
        return $this->youtubeid;
    }

    public function setYoutubeid($youtubeid) {
        $this->youtubeid = $youtubeid;
    }

    public function __construct() {
        
    }

    public function populateChoice($choiceid, $choice) {

        $this->choiceId = $choiceId;
        $this->choice = $choice;
    }

    public function retrieveChoice($choiceid) {

        global $db;
        global $siteurl;

        $sql = "select * from choice where choiceid = $choiceid";
        $result = mysql_query($sql, $db);

        if ($myrow = mysql_fetch_array($result)) {

            do {

                $this->choiceId = $myrow["choiceid"];
                $this->choice = $myrow["choice"];
                $this->youtubeid = $myrow["youtubeid"];
            } while ($myrow = mysql_fetch_array($result));
        }

        $this->choiceImage = $siteurl . "/images/choices/" . $this->choiceId . ".jpg";
        $this->choiceThumb = $siteurl . "/images/choices/thumbs/" . $this->choiceId . ".jpg";
    }

    public function createYoutubeChoice($pollid, $choicetext) {

        $this->sql = "insert into choice (choice, youtubeid) values ('" . $choicetext . "', '" . $this->youtubeid . "')";
        $this->saveChoice($pollid);
        
    }

    public function createChoice($pollid, $choicetext) {

        $this->sql = "insert into choice (choice) values ('" . $choicetext . "')";
        $this->saveChoice($pollid);
        
    }

    private function saveChoice($pollid) {

        global $db;
        
        $result = mysql_query($this->sql, $db);

        $this->choiceId = mysql_insert_id();

        $sql = "insert into poll_choice_lookup (pollid, choiceid) values (" . $pollid . ", " . $this->choiceId . ")";
        $result = mysql_query($sql, $db);
    }

    private function parseYoutubeId() {
        
        if (strstr($this->youtubeurl, "http://youtu.be/") == TRUE) {
            $this->youtubeid = str_replace("http://youtu.be/", "", $this->youtubeurl);
        }
    }

}