<?php

/**
 * Image Class Definition File
 *
 * @author EasySiteNetwork <admin@easysitenetwork.com>
 * @copyright Copyright (c) 2011 EasySiteNetwork
 * @version 1.3
 * @link http://www.easysitenetwork.com
 * @package LikePoll
 */

/**
 * Image Class Definition
 *
 * @package LikePoll
 * @subpackage Core
 */

include(MAINDIRPATH . 'libraries/ThumbLib.inc.php');

class Image {

    public function __construct() {
        
    }

    public function saveImage($image, $choiceid) {

        move_uploaded_file($image, MAINDIRPATH . 'images/choices/original/' . $choiceid . '.jpg');

        $thumb = PhpThumbFactory::create(MAINDIRPATH . 'images/choices/original/' . $choiceid . '.jpg');

        $thumb->save(MAINDIRPATH . 'images/choices/' . $choiceid . '.jpg', 'jpg');

        $thumb->adaptiveResize(100, 100);

        $thumb->save(MAINDIRPATH . 'images/choices/thumbs/' . $choiceid . '.jpg', 'jpg');
    }
    
    public function saveYoutubeImage($imageurl, $choiceid, $youtubeid) {
                
        file_put_contents(MAINDIRPATH . 'images/choices/original/' . $choiceid . '.jpg', file_get_contents($imageurl));
 
        $thumb = PhpThumbFactory::create(MAINDIRPATH . 'images/choices/original/' . $choiceid . '.jpg');

        $thumb->save(MAINDIRPATH . 'images/choices/' . $choiceid . '.jpg', 'jpg');

        $thumb->adaptiveResize(100, 100);

        $thumb->save(MAINDIRPATH . 'images/choices/thumbs/' . $choiceid . '.jpg', 'jpg');        
        
    }

}