<?php

/**
 * Poll Class Definition File
 *
 * @author EasySiteNetwork <admin@easysitenetwork.com>
 * @copyright Copyright (c) 2011 EasySiteNetwork
 * @version 1.3
 * @link http://www.easysitenetwork.com
 * @package LikePoll
 */

/**
 * Poll Class Definition
 *
 * @package LikePoll
 * @subpackage Core
 */
class Poll {

    private $pollId = 1;
    private $question;
    private $choices;
    private $active;
    private $categoryId = 0;
    private $metaDesc;
    private $metaKeywords;
    private $urlStub;
    private $numVotes = 0;
    private $pollType = 1;
    
    public function getPollId() {
        return $this->pollId;
    }

    public function getQuestion() {
        return $this->question;
    }

    public function getChoices() {
        return $this->choices;
    }

    public function getActive() {
        return $this->active;
    }

    public function getCategoryId() {
        return $this->categoryId;
    }

    public function getMetaDesc() {
        return $this->metaDesc;
    }

    public function getMetaKeywords() {
        return $this->metaKeywords;
    }

    public function getUrlStub() {
        return $this->urlStub;
    }

    public function setQuestion($question) {
        $this->question = $question;
    }

    public function setActive($active) {
        $this->active = $active;
    }

    public function setMetaDesc($metadesc) {
        $this->metaDesc = $metadesc;
    }

    public function setMetaKeywords($metakeywords) {
        $this->metaKeywords = $metakeywords;
    }

    public function getSingleChoice($choicenum) {
        return $this->choices[$choicenum];
    }

    public function setCategoryId($categoryid) {
        $this->categoryId = $categoryid;
    }
    
    public function getNumVotes() {
        return $this->numVotes;
    }

    public function setNumVotes($numVotes) {
        $this->numVotes = $numVotes;
    }
    
    public function getPolltype() {
        return $this->pollType;
    }

    public function setPolltype($polltype) {
        $this->pollType = $polltype;
    }

    public function __construct() {
        
    }

    public function retrievePollByChoiceId($choiceid) {

        $choiceid = mysql_real_escape_string($choiceid);

        global $db;

        $sql = "select pollid from poll_choice_lookup where choiceid = $choiceid";
        $result = mysql_query($sql, $db);

        if ($myrow = mysql_fetch_array($result)) {

            do {

                $this->pollId = $myrow["pollid"];
            } while ($myrow = mysql_fetch_array($result));
        }

        $this->retrievePollByPollId($this->pollId);
    }

    public function retrievePollByPollId($pollid) {

        $this->pollId = mysql_real_escape_string($pollid);

        global $db;

        $sql = "select * from poll where pollid = $pollid";
        $result = mysql_query($sql, $db);

        if ($myrow = mysql_fetch_array($result)) {

            do {

                $this->question = $myrow["question"];
                $this->metaDesc = $myrow["metadesc"];
                $this->metaKeywords = $myrow["metakeywords"];
                $this->numVotes = $myrow["votes"];
                $this->pollType = $myrow["polltype"];
            } while ($myrow = mysql_fetch_array($result));
        }

        $this->urlStub = str_replace(" ", "-", $this->question);

        $this->retrieveChoices();
    }

    private function retrieveChoices() {

        global $db;
        global $siteurl;

        $sql = "select choiceid from poll_choice_lookup where pollid = $this->pollId";
        $result = mysql_query($sql, $db);

        $choicecount = 0;

        $this->choices[0] = new Choice();
        $this->choices[1] = new Choice();

        if ($myrow = mysql_fetch_array($result)) {

            do {

                $this->choices[$choicecount]->retrieveChoice($myrow["choiceid"]);
                $choicecount++;
            } while ($myrow = mysql_fetch_array($result));
        }

        $this->choices[0]->setChoiceUrl($siteurl . "like/" . $this->pollId . "/" . $this->choices[0]->getChoiceId() . "/" . $this->urlStub . "/");
        $this->choices[1]->setChoiceUrl($siteurl . "like/" . $this->pollId . "/" . $this->choices[1]->getChoiceId() . "/" . $this->urlStub . "/");
    }

    public function createPoll() {

        global $db;

        $createdate = date("Y-m-d  H:i:s");

        $sql = "insert into poll (question, createdate, active, metadesc, metakeywords, polltype) values ('" . $this->question . "', '" . $createdate . "', " . $this->active . ", '" . $this->metaDesc . "', '" . $this->metaKeywords . "', " . $this->pollType . ")";
        $result = mysql_query($sql, $db);

        $this->pollId = mysql_insert_id();

        $sql = "insert into poll_category_lookup (pollid, categoryid) values ($this->pollId, $this->categoryId)";
        $result = mysql_query($sql, $db);
    }

    public function deletePoll($pollid) {

        global $db;

        $sql = "delete from poll where pollid = $pollid";
        $result = mysql_query($sql, $db);

        $sql = "delete from poll_category_lookup where pollid = $pollid";
        $result = mysql_query($sql, $db);
    }

    public function approvePoll($pollid) {

        global $db;

        $sql = "update poll set active = 1 where pollid = $pollid";
        $result = mysql_query($sql, $db);
    }

    public function addVote($pollid) {

        global $db;

        $this->numVotes++;

        $sql = "update poll set votes = " . $this->numVotes . " where pollid = $pollid";
        $result = mysql_query($sql, $db);
    }


}