<?php

/**
 * Header View File
 *
 * @author EasySiteNetwork <admin@easysitenetwork.com>
 * @copyright Copyright (c) 2011 EasySiteNetwork
 * @version 1.3
 * @link http://www.easysitenetwork.com
 * @package LikePoll
 */

?>

<html xmlns:og="http://opengraphprotocol.org/schema/"
      xmlns:fb="http://www.facebook.com/2008/fbml">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="Content-Language" content="en" />
        <meta name="keywords" content="<?php echo $metakeywords; ?>" />
        <meta name="description" content="<?php echo $metadesc; ?>" />
        <link rel="stylesheet" href="<?php echo $siteurl; ?>style.css" type="text/css" />
        <title><?php echo $pagetitle; ?></title>
        <meta property="og:title" content="<?php echo $pagetitle; ?>"/>
        <meta property="og:type" content="website"/>
        <meta property="fb:app_id" content="<?php echo $facebookappid; ?>" />
        <meta property="fb:admins" content="<?php echo $facebookadminid; ?>"/>
        <meta property="og:image" content="<?php echo $imagename; ?>"/>
        <meta property="og:site_name" content="<?php echo $sitename; ?>"/>
        <script src="<?php echo $siteurl; ?>js/gen_validatorv31.js" type="text/javascript"></script>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.5.1/jquery.min.js"></script>

        <script type="text/javascript">

            var _gaq = _gaq || [];
            _gaq.push(['_setAccount', '<?php echo $googleanalyticsid; ?>']);
            _gaq.push(['_trackPageview']);

            (function() {
                var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
                ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
                var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
            })();

        </script>

    </head>
    <body>

        <div id="fb-root"></div>
        <script>
            window.fbAsyncInit = function() {
                FB.init({appId: '175288525826809', status: true, cookie: true,
                    xfbml: true});
                FB.Event.subscribe('edge.create', function(href, widget) {
                    $.ajax({
                        type: "POST",
                        url: "<?php echo $siteurl; ?>trackvote.php",
                        data: "pollid=<?php echo $jspollid; ?>",
                        success: function(msg){
                            return false;
                        }
                    });
                });
            };
            (function() {
                var e = document.createElement('script'); e.async = true;
                e.src = document.location.protocol +
                    '//connect.facebook.net/en_US/all.js';
                document.getElementById('fb-root').appendChild(e);
            }());
        </script>

        <div class="headermain">

            <div class="headertitle">

                <div class="headertitletext">
                    <strong><a href="<?php echo $siteurl; ?>"><?php echo $sitename; ?></a></strong>
                </div>

                <div class="headertitlead">
                    <?php
                    $leaderad = new Ad();
                    $leaderad->retrieveAd(1);
                    echo $leaderad->getAdcode();
                    ?>
                </div>

                <div style="float: clear;"></div>

            </div>

        </div>

        <div class="headerborderbar">
            <div class="headerborderbarlinks">
                <a href="<?php echo $siteurl; ?>">Home</a> -
                <a href="<?php echo $siteurl; ?>submit.php">Submit Poll</a>
            </div>
        </div>

        <div class="mainbodycontainer">

            <div class="mainbody">