<?php
/**
 * Like View File
 *
 * @author EasySiteNetwork <admin@easysitenetwork.com>
 * @copyright Copyright (c) 2011 EasySiteNetwork
 * @version 1.3
 * @link http://www.easysitenetwork.com
 * @package LikePoll
 */
include('./config.php');
include(MAINDIRPATH . 'dbx.php');
include(MAINDIRPATH . 'classes/objects/category.php');
include(MAINDIRPATH . 'classes/objects/categoryList.php');
include(MAINDIRPATH . 'classes/views/likeView.php');
include(MAINDIRPATH . 'classes/objects/ad.php');

if ($_REQUEST['pollid']) {
    $pollid = $_REQUEST['pollid'];
}
if ($_REQUEST['likeid']) {
    $likeid = $_REQUEST['likeid'];
}

$mypoll = new LikeView($pollid, $likeid);
$mypoll->initPollByPollId();

$jspollid = $pollid;

$pagetitle = $mypoll->getPageTitle();
$metadesc = $mypoll->getPoll()->getMetaDesc();
$metakeywords = $mypoll->getPoll()->getMetaKeywords();

$imagename = $siteurl . "images/choices/" . $likeid . ".jpg";

include(MAINDIRPATH . 'header.php');
?>

<div class="leftcontainer">

    <div class="leftcontentbox">

        <div class="choiceswrapper">

            <h1><?php echo $mypoll->getPoll()->getQuestion(); ?></h1>

            <p><?php echo $mypoll->getPoll()->getMetaDesc(); ?></p>

                <?php if ($mypoll->getPoll()->getPolltype() == 2) { ?>
                <div class="singlechoiceleftvideo">
                    <iframe width="280" height="210" src="http://www.youtube.com/embed/<?php echo $mypoll->getPoll()->getSingleChoice(0)->getYoutubeid(); ?>" frameborder="0" allowfullscreen></iframe>
                <br/><br/>
                <div class="likeboxvideo">
                <?php } else { ?>
                    <div class="singlechoiceleft">
                    <img src="<?php echo $mypoll->getPoll()->getSingleChoice(0)->getChoiceImage() ?>">
                <br/><br/>
                <div class="likebox">
                            <?php } ?>

                    <b><?php echo $mypoll->getPoll()->getSingleChoice(0)->getChoice() ?></b>
                    <br/><br/>
                    <fb:like href="<?php echo $mypoll->getPoll()->getSingleChoice(0)->getChoiceUrl() ?>" layout="button_count" show_faces="false" width="60"></fb:like>
                </div>

            </div>
                <?php if ($mypoll->getPoll()->getPolltype() == 2) { ?>
                <div class="singlechoicerightvideo">
                    <iframe width="280" height="210" src="http://www.youtube.com/embed/<?php echo $mypoll->getPoll()->getSingleChoice(1)->getYoutubeid(); ?>" frameborder="0" allowfullscreen></iframe>
                <br/><br/>
                <div class="likeboxvideo"> 
               <?php } else { ?>
                    <div class="singlechoiceright">
                    <img src="<?php echo $mypoll->getPoll()->getSingleChoice(1)->getChoiceImage() ?>">
                <br/><br/>
                <div class="likebox">
                            <?php } ?>

                    <b><?php echo $mypoll->getPoll()->getSingleChoice(1)->getChoice() ?></b>
                    <br/><br/>
                    <fb:like href="<?php echo $mypoll->getPoll()->getSingleChoice(1)->getChoiceUrl() ?>" layout="button_count" show_faces="false" width="60"></fb:like>
                </div>

            </div>
                    
                    <div style="clear: both;"></div>

            <p>Leave a comment</p>

        </div>

    </div>

    <div class="leftcontentbox">
        <div style="margin-left: 75px; margin-top: 10px; margin-bottom: 10px;">
            <fb:comments href="<?php echo $mypoll->getPoll()->getSingleChoice(0)->getChoiceUrl() ?>"></fb:comments>
        </div>
    </div>

    <div class="leftcontentbox">
        <div class="footer">
            &copy; 2011 <a href="<?php echo $siteurl; ?>"><?php echo $sitename; ?></a><br/>
            <a href="http://www.easysitenetwork.com/">An EasySiteNetwork Script</a>
        </div>
    </div>

</div>

<?php
include(MAINDIRPATH . 'rightrail.php');
?>

<?php
include(MAINDIRPATH . 'footer.php');
?>





