<?php

/**
 * Friends View File
 *
 * @author EasySiteNetwork <admin@easysitenetwork.com>
 * @copyright Copyright (c) 2011 EasySiteNetwork
 * @version 1.3
 * @link http://www.easysitenetwork.com
 * @package LikePoll
 */

   include('../config.php');
   include(MAINDIRPATH . 'dbx.php');
   include(MAINDIRPATH . 'classes/objects/friend.php');
   include(MAINDIRPATH . 'classes/objects/friendList.php');


   include(MAINDIRPATH . 'siteadmin/adminheader.php');

   include(MAINDIRPATH . 'siteadmin/logincheck.php');

   $myItemList = new FriendList();
   $myItems = $myItemList->getFriends();

?>

<div class="centered">

<div class="admintitle">Friends</div>

<br/><br/>

<form action="savefriend.php" method="post" name="addfriend">

Enter Friend Anchor : <input type="text" name="friendanchor" size="30"><br/>
Enter Friend URL : <input type="text" name="friendurl" size="50">
<br/>
<input type="submit" value="Add Friend">

</form>

<script language="JavaScript" type="text/javascript">
 var frmvalidator = new Validator("addfriend");
 frmvalidator.addValidation("friendanchor","req","Please enter a friend anchor");
 frmvalidator.addValidation("friendurl","req","Please enter a friend url");
 frmvalidator.addValidation("friendanchor","maxlen=50");
 frmvalidator.addValidation("friendurl","maxlen=255")
</script>

<br/><br/>

<?php

   for ($i = 0; $i < count($myItems); $i++) {

      $tempItem = new Friend();
      $tempItem = $myItems[$i];

?>

<div class="itemrow">

<div class="itemtext"><a href="<?php echo $tempItem->getFriendUrl(); ?>" target="_new"><?php echo $tempItem->getFriendAnchor(); ?></a></div>
<div class="itemdelete"><a href="deletefriend.php?friendid=<?php echo $tempItem->getFriendId(); ?>">Delete</a></div>

</div>
<div style="clear: both;"></div>


<?php
   }
?>

<br/>
<div class="smalltext"><a href="main.php">Return to admin menu</a></div>

</div>

<?php

   include(MAINDIRPATH . 'siteadmin/adminfooter.php');

?>