<?php

/**
 * List Pending Polls View File
 *
 * @author EasySiteNetwork <admin@easysitenetwork.com>
 * @copyright Copyright (c) 2011 EasySiteNetwork
 * @version 1.3
 * @link http://www.easysitenetwork.com
 * @package LikePoll
 */

   include('../config.php');
   include(MAINDIRPATH . 'dbx.php');
   include(MAINDIRPATH . 'classes/objects/adminUser.php');
   include(MAINDIRPATH . 'classes/objects/pollList.php');
   include(MAINDIRPATH . 'classes/objects/poll.php');
   include(MAINDIRPATH . 'classes/objects/choice.php');
      
   include(MAINDIRPATH . 'siteadmin/adminheader.php');
   
   include(MAINDIRPATH . 'siteadmin/logincheck.php');

   $pagenum = 1;
   if ($_REQUEST['pagenum']) { $pagenum = $_REQUEST['pagenum']; }   
   
   $mypolls = new pollList();
   $mypolls->setShowApproved(0);
   $mypolls->setNumRows(20);
   $mypolls->setPageNum($pagenum);
   
?>

<div class="centered">

<div class="admintitle">
	Polls Pending Approval
</div>

<?php 

   $temppollarray = $mypolls->getPolls();

   for ($i = 0; $i < count($temppollarray); $i++) {
   	
      $temppoll = new Poll();
      $temppoll = $temppollarray[$i];	
      
?>
      
      <div class="pollitem">
         <div class="pendingpollitemname"><?php echo $temppoll->getQuestion(); ?></div>
         <div class="pollitempreview"><a href="<?php echo $siteurl; ?>like/<?php echo $temppoll->getPollId(); ?>/<?php echo $temppoll->getSingleChoice(0)->getChoiceId(); ?>/" target="_new">Preview</a></div>
         <div class="pollitemdelete"><a href="deleteitem.php?pollid=<?php echo $temppoll->getPollId(); ?>">Delete</a></div>
         <div class="pollitemapprove"><a href="approveitem.php?pollid=<?php echo $temppoll->getPollId(); ?>">Approve</a></div>
      </div>
      <div style="float: clear;"></div>

<?php     
      
   }

?>

<br/>

   <div class="pagenav">

<?php 
   if ($pagenum > 1) {
?>

<a href="listpending.php?pagenum=<?php echo $pagenum-1; ?>"><-- Previous Page</a>

<?php    	   
   }
?>

&nbsp;&nbsp;&nbsp;
 
<?php 
   if ($mypolls->getLastPage() == 0) {
?>

<a href="listpending.php?pagenum=<?php echo $pagenum+1; ?>">Next Page --></a>

<?php    	   
   }
?>
   </div>

<br/>
<div class="smalltext"><a href="main.php">Return to admin menu</a></div>

</div>


<?php

   include(MAINDIRPATH . 'siteadmin/adminfooter.php');

?>